package com.ssj.bean.sys.fx.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

@Entity
@Table(name = "fx_merchant_meal_order")
public class MerchantMealOrder extends BaseEntity {
	
    private static final long serialVersionUID = 1L;
    
    private String merchantId;
    
    private Integer signType;
    
    private Integer portNum;
    
    private Integer type;
    
    private Integer buyMonth;
    
    private Integer giveMonth;
    
    private Date signTime;
    
    private Date endSignTime;
    
    private Integer libService;
    
    private Double unitPrice;
    
    private Double price;
    
    private Date createTime;
    
    private String remarks;

	public String getMerchantId() {
		return merchantId;
	}

	public void setMerchantId(String merchantId) {
		this.merchantId = merchantId;
	}

	public Integer getSignType() {
		return signType;
	}

	public void setSignType(Integer signType) {
		this.signType = signType;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getBuyMonth() {
		return buyMonth;
	}

	public void setBuyMonth(Integer buyMonth) {
		this.buyMonth = buyMonth;
	}

	public Integer getGiveMonth() {
		return giveMonth;
	}

	public void setGiveMonth(Integer giveMonth) {
		this.giveMonth = giveMonth;
	}

	public Date getSignTime() {
		return signTime;
	}

	public void setSignTime(Date signTime) {
		this.signTime = signTime;
	}

	public Date getEndSignTime() {
		return endSignTime;
	}

	public void setEndSignTime(Date endSignTime) {
		this.endSignTime = endSignTime;
	}

	public Integer getLibService() {
		return libService;
	}

	public void setLibService(Integer libService) {
		this.libService = libService;
	}

	public Double getUnitPrice() {
		return unitPrice;
	}

	public void setUnitPrice(Double unitPrice) {
		this.unitPrice = unitPrice;
	}

	public Double getPrice() {
		return price;
	}

	public void setPrice(Double price) {
		this.price = price;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public Integer getPortNum() {
		return portNum;
	}

	public void setPortNum(Integer portNum) {
		this.portNum = portNum;
	}
  
    
	
	
}
